<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\ImportTransit;
use App\Models\User;

class ImportTransitPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any ImportTransit');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, ImportTransit $importtransit): bool
    {
        return $user->checkPermissionTo('view ImportTransit');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create ImportTransit');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, ImportTransit $importtransit): bool
    {
        return $user->checkPermissionTo('update ImportTransit');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, ImportTransit $importtransit): bool
    {
        return $user->checkPermissionTo('delete ImportTransit');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any ImportTransit');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, ImportTransit $importtransit): bool
    {
        return $user->checkPermissionTo('restore ImportTransit');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any ImportTransit');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, ImportTransit $importtransit): bool
    {
        return $user->checkPermissionTo('replicate ImportTransit');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder ImportTransit');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, ImportTransit $importtransit): bool
    {
        return $user->checkPermissionTo('force-delete ImportTransit');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any ImportTransit');
    }
}
